View Issue Details

IDProjectCategoryView StatusLast Update
0000046WackoWikieditingpublic2011-05-31 21:24
ReporterEoNyAssigned Toadministrator 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version4.2 
Target Version5.0.betaFixed in Version5.0.beta 
Summary0000046: Add "minor edit" option to edit window
Descriptionurbansheep 20-05-2005 18:11:
Wacko lacks "Minor edit" functionality which would help greatly to decrease number of excessant emails that are sent on every, even the slightest typo fixes.

It would be great to see an option "minor edit" added to the edit-window workflows which would allow to:
- have a "disable email notifications for minor changes" options
- unclutter a "Recent Changes" page, leaving only relevant page updates there.

Also it could be used to color differently minor revisions in the document history so that user could instantly see if changes were worth his review or not.

[] Show minor edits
[] Minor edit
Additional Informationminor_edit TINYINT(1)
TagsNo tags attached.

Relationships

related to 0000024 resolvedadministrator add change summary / comments 
related to 0000361 resolvedadministrator disable email notifications for minor changes 
related to 0000362 resolvedadministrator hide minor edits in "Recent Changes" page 

Activities

EoNy

2007-08-31 15:03

manager   ~0000055

urbansheep
23-02-2005 19:38

http://c2.com/cgi/wiki?MinorEditsDisabledDiscussion

 StanislavGolovin
20-05-2005 18:11

http://www.megarulez.ru/wacko/WackoToDo

Freeman

2008-07-30 15:25

developer   ~0000449

Done here: http://www.megarulez.ru/wacko/WackoToDo/WackoPageVersion

administrator

2008-07-31 01:02

administrator   ~0000451

yep, but the basic functions should work without js (revisions.php)

administrator

2009-07-31 13:38

administrator   ~0000670

Last edited: 2009-08-01 13:32

View 2 revisions

added column 'minor_edit' to pages and revisions table with rev534
added check box in edit handler, now the value can be set (but isn't used yet by revisions handler or recentchanges and so on) with rev536

Issue History

Date Modified Username Field Change
2007-08-31 15:02 EoNy New Issue
2007-08-31 15:02 EoNy Legacy => NEW
2007-08-31 15:03 EoNy Note Added: 0000055
2007-08-31 21:02 administrator Legacy NEW => NPJ
2008-07-02 20:41 administrator Description Updated
2008-07-02 20:41 administrator Additional Information Updated
2008-07-30 15:25 Freeman Note Added: 0000449
2008-07-31 01:02 administrator Note Added: 0000451
2008-07-31 01:04 administrator Status new => acknowledged
2008-07-31 01:04 administrator Target Version => 5.4.0
2008-08-31 13:12 administrator Relationship added related to 0000024
2009-07-05 22:16 administrator Assigned To => administrator
2009-07-05 22:16 administrator Status acknowledged => assigned
2009-07-05 22:16 administrator Additional Information Updated View Revisions
2009-07-31 13:38 administrator Note Added: 0000670
2009-07-31 15:53 administrator Description Updated View Revisions
2009-08-01 13:32 administrator Note Edited: 0000670 View Revisions
2010-03-08 10:12 administrator Category Editing => editing
2010-04-15 18:22 administrator Status assigned => resolved
2010-04-15 18:22 administrator Resolution open => fixed
2010-04-15 18:22 administrator Fixed in Version => 5.0.beta
2010-04-15 18:22 administrator Target Version 5.4.0 => 5.0.beta
2010-04-15 18:33 administrator Relationship added related to 0000361
2010-04-15 18:35 administrator Description Updated View Revisions
2010-04-15 18:38 administrator Relationship added related to 0000362
2011-05-31 21:24 administrator Build => R5.0.beta